<template>
  <article class="post">
    <nuxt-link :to="`/blog/${post.id}`" class="thumbnail-container">
      <div class="thumbnail" :style="{backgroundImage: `url(${baseUrl}/${post.thumbnail})`}"></div>
    </nuxt-link>
    <div class="body">
      <nuxt-link :to="`/blog/${post.id}`">
        <h2 class="title">{{ post.title }}</h2>
      </nuxt-link>
      <div class="short-description">{{ post.short_description }}</div>
      <div class="footer">
        <p class="author">{{ post.user.name || post.user.username }}</p>
        <p class="date">{{ post.created_at }}</p>
      </div>
    </div>
  </article>
</template>

<script>

export default {
  data() {
    return {
      baseUrl: process.env.baseUrl
    }
  },
  props: {
    post: {
      type: Object,
      required: true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables";

.post
  border-radius .5rem
  overflow hidden
  transition all .2s
  box-shadow  0 1rem 2rem rgba(black, .1)
  display flex
  flex-direction column
  position relative
  z-index 2
  @media (hover: hover)
    &:hover
      box-shadow 0 1.5rem 2rem rgba(black, .2)
      transform scale(1.05)

@media (hover: hover)
  .post:hover .thumbnail
    filter grayscale(0%)
    transform scale(1.1)

.thumbnail-container
  width 100%
  height 18rem
  position relative
  z-index 2
  overflow hidden
  border-top-left-radius .5rem 
  border-top-right-radius .5rem

.img
  width 100%
  height 100%


.body
  background-color $black-darken
  color $white
  direction rtl
  padding 2rem $md
  flex-grow 1
  display flex
  flex-direction column
  position relative
  z-index 2

.title
  font-size 2.2rem
  font-weight 500
  margin-bottom $xsm

.short-description
  margin-bottom $sm
  font-size 1.4rem

.footer
  display flex
  margin-top auto
  opacity .7
  font-size 1.4rem

.author
  margin-left auto

.thumbnail
  width 100%
  height 100%
  position relative
  z-index 1
  border-radius inherit
  background-size cover
  background-position center
  @media (hover: hover)
    filter grayscale(100%)
  transition all .3s
</style>